package models

import (
	"go-admin/common/models"
)

type LineWallet struct {
	models.Model

	UserId        int64  `json:"userId" gorm:"type:int;comment:用户Id"`
	CoinId        int64  `json:"coinId" gorm:"type:int;comment:币种id"`
	CoinCode      string `json:"coinCode" gorm:"type:varchar(255);comment:标签"`
	Tag           string `json:"tag" gorm:"type:varchar(255);comment:标签"`
	Address       string `json:"address" gorm:"type:varchar(255);comment:地址"`
	CoinNetworkId int    `json:"coinNetworkId" gorm:"type:int;comment:币种主网id，useri+主网id做唯一"`
	models.ModelTime
	models.ControlBy
}

func (LineWallet) TableName() string {
	return "line_wallet"
}

func (e *LineWallet) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineWallet) GetId() interface{} {
	return e.Id
}
